Jump to content

It's time to downgrade!

This announcement is no longer active

Luna

1.42 has just been released for Euro Truck Simulator 2 and American Truck Simulator!

 

TruckersMP is currently NOT compatible with these updates. In order to play TruckersMP, you will need to downgrade your game to the temporary_1_41 branch.

Check out this article for more information on how to downgrade your game:

 

How to downgrade your game and keep playing?



×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.